document.addEventListener('DOMContentLoaded', () => {
  // Age range slider
  const ageSlider = document.querySelector('input[type="range"]');
  const ageValue = document.querySelector('.age-value');
  
  if (ageSlider && ageValue) {
    ageSlider.addEventListener('input', (e) => {
      ageValue.textContent = e.target.value;
    });
  }

  // Profile cards loading
  loadFeaturedProfiles();
});

function openRegister() {
  document.querySelector('#register').scrollIntoView({ behavior: 'smooth' });
}

function searchProfiles() {
  // Add search functionality
  console.log('Searching profiles...');
}

function loadFeaturedProfiles() {
  const profilesContainer = document.querySelector('.profile-cards');
  
  // Sample profiles data
  const profiles = [
    { name: 'Jessica', age: 28, location: 'New York' },
    { name: 'Michael', age: 32, location: 'Los Angeles' },
    { name: 'Emma', age: 26, location: 'Chicago' },
    { name: 'James', age: 30, location: 'Houston' }
  ];

  profiles.forEach(profile => {
    const card = document.createElement('div');
    card.className = 'profile-card';
    card.innerHTML = `
      <h3>${profile.name}, ${profile.age}</h3>
      <p>${profile.location}</p>
    `;
    profilesContainer.appendChild(card);
  });
}

// Form submission handler
document.querySelector('.registration-form')?.addEventListener('submit', (e) => {
  e.preventDefault();
  console.log('Form submitted');
  // Add form submission logic here
});